package com.sunxung.factoring.component.enums;

public enum SupplierStatusEnums {

    VOTE("c_supplier_status_0","未通过"),

    ADD_BUSINESS("c_supplier_status_1","增加担保企业"),

    ADD_INFO("c_supplier_status_2","补充信息"),

    DUE_DILIGENCE_ALLOCATION("c_supplier_status_3","尽调分配"),

    DUE_DILIGENCE_REVIEW("c_supplier_status_4","尽调审核"),

    VIDEO_DUE_DILIGENCE("c_supplier_status_5","视频尽调"),

    CONFIRM_DUE_DILIGENCE_TIME("c_supplier_status_6","尽调时间确认"),

    WAIT_DUE_DILIGENCE("c_supplier_status_7","等待尽调"),

    CREDIT_SUCCESS("c_supplier_status_8","授信成功"),

    DUE_DILIGENCE_APPOINTMENT("c_supplier_status_9","尽调预约");

    String code;

    String desc;

    SupplierStatusEnums(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static SupplierStatusEnums getByCode(String code){
        for(SupplierStatusEnums ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
